Initial import

This commit is contained in:
2022-08-30 15:46:53 -04:00
commit e712bb5dc2
274 changed files with 27716 additions and 0 deletions

View File

@@ -0,0 +1,4 @@
AUX 50nxplayer 41 SHA256 15d0e2d50df089c0d01db7579cdb25898e7111bd67b7bb1327de604b46d001df SHA512 2ca064c30ac4934403150e07488eb17469815d958056c7da913c5dbaf94f7b5cddfbda4c3b240ef62337960ccdba44b535f174f20c8a1643bb8a2738d92ee6b0 WHIRLPOOL 0569937dfb277ee33d7e4ee7f963d5a3ab9056d1f4a1a35be9bd1086b138365fd7f2ee8a59c564f9ecf2a6b85777d59d52e34c5f1af4cd79e2cae0522d1b9793
DIST nomachine-enterprise-client_7.10.1_1_i686.tar.gz 35365174 SHA256 3afdfa337d11496167ebfc41edf6e92ddf19f3c4c3314a78be866b5698d29f67 SHA512 e7cd96e7847b2573cc7b3070093820d903aca85b31d9662348d9ca2b1f9065c2ac065cd64a5c190543561189850e582bbc4a414757cce3feb55edb6c868e7dd5 WHIRLPOOL 96622f21a33875500fd17055bc36b36c4ddc0b62cee81f073c0332d6e85ca7d384824688e3ca4906f52d61eea16f26f13cf51d05ea9310a9720fc1045e123985
DIST nomachine-enterprise-client_7.10.1_1_x86_64.tar.gz 37052246 SHA256 d8fa1fb80792e2d429592c24ca9100ddd3c16796cb321426674bd7a7163c84c3 SHA512 fbb0ac0378dc4ae64aa7872e8302b8bc9b5f16a91b06a6bad2bae305b20e05f573b2bd945c8a4ba865203243f59694d102a02c2801cfb4850298c71ffcdc8d5d WHIRLPOOL c985a0f93d68f76eddc6e78a8645282b8fb6b63a3ac51c1478071cc938a58fb604551273c3d7d54f90927509193445f3b66a9277656c1225ea4eeed898d47c55
EBUILD nxplayer-7.10.1.1.ebuild 896 SHA256 f9c2a3f4db7a94937102a75c060858668a99385715806b89651d7696ae0db6a4 SHA512 6a7795da4b8ef521ef247c4aa9f73b3c6150c5aab028406e4d526ae5419889344c5d867a6b9133b3073ddab942e30b50397881dd7a8b6c08f75f1fe693a8f9eb WHIRLPOOL 3746a5fa23aa7209415d758ff68fa625fdfb3a5a2082647d9e9830a9bcac2b56cc5839b58c4186da0e93c9d9f4dccf6020223687c3aee57600fc33bc6a7d1057

View File

@@ -0,0 +1,2 @@
# Location of the NX
NX_SYSTEM="/opt/NX"

View File

@@ -0,0 +1,36 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
MY_P="nomachine-enterprise-client_$(ver_cut 1-3)_$(ver_cut 4)"
DESCRIPTION="Client for NoMachine remote servers"
HOMEPAGE="https://www.nomachine.com"
SRC_URI="amd64? ( http://download.nomachine.com/download/$(ver_cut 1-2)/Linux/${MY_P}_x86_64.tar.gz )
x86? ( http://download.nomachine.com/download/$(ver_cut 1-2)/Linux/${MY_P}_i686.tar.gz )"
S="${WORKDIR}"/NX/etc/NX/player/packages
LICENSE="nomachine"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
RDEPEND="
|| (
sys-libs/libxcrypt[compat]
sys-libs/glibc[crypt(+)]
)
dev-libs/glib:2
dev-libs/openssl:0
"
QA_PREBUILT="*"
src_install() {
dodir /opt
tar xozf nxclient.tar.gz -C "${ED}"/opt || die
tar xozf nxplayer.tar.gz -C "${ED}"/opt || die
doenvd "${FILESDIR}"/50nxplayer
dosym -r /opt/NX/bin/nxplayer /opt/bin/nxplayer
}

View File

@@ -0,0 +1 @@
EBUILD x2goclient-9999.ebuild 1268 SHA256 3655d05ca0772e5767a4bab41313499d31da7575bb0b8d527e073ffced08c298 SHA512 67df78b126e3ff789edcaadf3133b1bb1cbdaaf20694d65c7cfd4ecc76975bef94095c902c121ae6e60266c35a8b62dd712a7812b457dcbc5bcbbc5b8ab6a18c WHIRLPOOL 69ef134d0e23d159e753f562f0b8af6dd1d832edb8259d97a4134f7b439f6b2e497d676e37cb24d3411a44b306ed43bcaae8a61e1902c871423c73e5239ca3c9

View File

@@ -0,0 +1,62 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit desktop qmake-utils xdg git-r3
DESCRIPTION="The X2Go Qt client"
HOMEPAGE="http://www.x2go.org"
EGIT_REPO_URI="git://code.x2go.org/x2goclient.git"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="ldap"
COMMON_DEPEND="dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5[ssl]
dev-qt/qtsvg:5
dev-qt/qtwidgets:5
dev-qt/qtx11extras:5
>=net-libs/libssh-0.7.5-r2
net-print/cups
x11-libs/libXpm
ldap? ( net-nds/openldap )"
DEPEND="${COMMON_DEPEND}
dev-qt/linguist-tools:5"
RDEPEND="${COMMON_DEPEND}
net-misc/nx"
CLIENT_BUILD="${WORKDIR}"/${P}.client_build
PLUGIN_BUILD="${WORKDIR}"/${P}.plugin_build
src_prepare() {
default
if ! use ldap; then
sed -e "s/-lldap//" -i x2goclient.pro || die
sed -e "s/#define USELDAP//" -i src/x2goclientconfig.h || die
fi
}
src_configure() {
eqmake5 "${S}"/x2goclient.pro
}
src_install() {
dobin ${PN}
local size
for size in 16 32 48 64 128 ; do
doicon -s ${size} res/img/icons/${size}x${size}/${PN}.png
done
newicon -s scalable res/img/icons/hildon/${PN}_hildon.svg ${PN}.svg
insinto /usr/share/pixmaps
doins res/img/icons/${PN}.xpm
domenu desktop/${PN}.desktop
doman man/man?/*
}

View File

@@ -0,0 +1 @@
EBUILD x2gokdriveclient-9999.ebuild 492 SHA256 f794edbc47e5438961cbd2ac05a0ead14643d5dd551aad779f11d5adc8db4c1d SHA512 c6b614b3b60127bd81f41c5cd40aa29b183797f8c72a971b311fea42185667ddfeaeea16ed00f72640f85883f9c37b8e11b7614cd1be4c259b0a8fed2557212c WHIRLPOOL 15c1e0029eb62d92c11c736af4f148bda87e1106242d0f51c304ee8881b05d701da3aa36a02ad6cfb550ad4014268236d129ff405ea6e484ea8e7002c25794ba

View File

@@ -0,0 +1,30 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit qmake-utils git-r3
DESCRIPTION="The X2Go KDrive Qt client"
HOMEPAGE="http://www.x2go.org"
EGIT_REPO_URI="git://code.x2go.org/x2gokdriveclient.git"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
COMMON_DEPEND="dev-qt/qtcore:5"
DEPEND="${COMMON_DEPEND}"
RDEPEND="${COMMON_DEPEND}"
src_configure() {
eqmake5
}
src_install() {
dobin ${PN}
doman man/man?/*
}

69
net-misc/xrdp/ChangeLog Normal file
View File

@@ -0,0 +1,69 @@
# ChangeLog for net-misc/xrdp
# Copyright 1999-2016 Gentoo Foundation; Distributed under the GPL v2
# (auto-generated from git log)
*xrdp-0.8.0-r1 (09 Aug 2015)
09 Aug 2015; Robin H. Johnson <robbat2@gentoo.org> +files/startwm.sh,
+files/xrdp-0.8.0-crypt-null-return.patch, +files/xrdp-initd,
+files/xrdp-sesman.pamd, +metadata.xml, +xrdp-0.8.0-r1.ebuild:
proj/gentoo: Initial commit
This commit represents a new era for Gentoo:
Storing the gentoo-x86 tree in Git, as converted from CVS.
This commit is the start of the NEW history.
Any historical data is intended to be grafted onto this point.
Creation process:
1. Take final CVS checkout snapshot
2. Remove ALL ChangeLog* files
3. Transform all Manifests to thin
4. Remove empty Manifests
5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$
5.1. Do not touch files with -kb/-ko keyword flags.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration
tests
X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this
project
X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo
developer, wrote Git features for the migration
X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve
cvs2svn
X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts
X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014
work in migration
X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging
X-Thanks: All of other Gentoo developers - many ideas and lots of paint on
the bikeshed
24 Aug 2015; Justin Lecher <jlec@gentoo.org> metadata.xml,
xrdp-0.8.0-r1.ebuild:
Use https by default
Convert all URLs for sites supporting encrypted connections from http to
https
Signed-off-by: Justin Lecher <jlec@gentoo.org>
24 Aug 2015; Mike Gilbert <floppym@gentoo.org> metadata.xml:
Revert DOCTYPE SYSTEM https changes in metadata.xml
repoman does not yet accept the https version.
This partially reverts eaaface92ee81f30a6ac66fe7acbcc42c00dc450.
Bug: https://bugs.gentoo.org/552720
24 Jan 2016; Michał Górny <mgorny@gentoo.org> metadata.xml:
Unify quoting in metadata.xml files for machine processing
Force unified quoting in all metadata.xml files since lxml does not
preserve original use of single and double quotes. Ensuring unified
quoting before the process allows distinguishing the GLEP 67-related
metadata.xml changes from unrelated quoting changes.
24 Jan 2016; Michał Górny <mgorny@gentoo.org> metadata.xml:
Set appropriate maintainer types in metadata.xml (GLEP 67)

View File

@@ -0,0 +1,32 @@
# ChangeLog for net-misc/xrdp
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-misc/xrdp/ChangeLog,v 1.13 2015/02/19 16:58:37 mgorny Exp $
*xrdp-0.8.0-r1 (19 Feb 2015)
19 Feb 2015; Michał Górny <mgorny@gentoo.org>
+files/xrdp-0.8.0-crypt-null-return.patch, +xrdp-0.8.0-r1.ebuild,
-xrdp-0.6.1.ebuild, -xrdp-0.8.0.ebuild:
Patch out crypt() NULL return check vulnerability, bug #540630. Remove old.
27 Oct 2014; Michał Górny <mgorny@gentoo.org> xrdp-0.6.1.ebuild,
xrdp-0.8.0.ebuild:
Add missing DEPEND, and RDEPEND on backend providers.
23 Oct 2014; Michał Górny <mgorny@gentoo.org> xrdp-0.6.1.ebuild,
xrdp-0.8.0.ebuild:
Warn about use of bundled rsakeys.ini, in case someone installed xrdp manually
or using a bad ebuild before.
23 Oct 2014; Michał Górny <mgorny@gentoo.org> files/xrdp-initd,
xrdp-0.6.1.ebuild, xrdp-0.8.0.ebuild:
Fix install paths in init.d. Set proper --localstatedir. Both reported by Jan
Psota.
*xrdp-0.8.0 (23 Oct 2014)
*xrdp-0.6.1 (23 Oct 2014)
23 Oct 2014; Michał Górny <mgorny@gentoo.org> +files/startwm.sh,
+files/xrdp-initd, +files/xrdp-sesman.pamd, +metadata.xml, +xrdp-0.6.1.ebuild,
+xrdp-0.8.0.ebuild:
Initial commit of net-misc/xrdp, bug #352363.

8
net-misc/xrdp/Manifest Normal file
View File

@@ -0,0 +1,8 @@
AUX startwm.sh 147 SHA256 7db27cf7316384a1ef633c582d576f9ea2e19b82bccd0967c0910b44c6b0bb7b SHA512 486cc044ecb295e12b5b03f66ce2052b6c25beb47ed14b475be54fea4d637f6fe557467b03d7a6327a10b04f152f13aa7ec901c97ea034901e40fb76f0731f31 WHIRLPOOL fede06453d8f8015dd874bf9e8a9b71d9deb5412b33ec05bda18ae836df69c54657513835cdd78fe83b4754179cd60149f0c00faa9854b30bb07754a1a9107bc
AUX xrdp-initd 732 SHA256 25ef4a63ba41957aabf734ba395d44b0fb33f56750298de6b4428c40b9a44933 SHA512 5113b71faeeda347b2a405d687dc8e48c03bd6964f70d7d19a1f920978e4ae95883e88366137899b4166e86ea79c7eeb007f42588e01fd9e160ca64bf48168da WHIRLPOOL b89d2a111f4483fb0f8f2bd1f07663117cd7f5c0a24db16b2562a7fe105b5cd6b599b620a26613cb9b3ddc1e4d71dd34bab220b48770949a3e13c1ebc3ce0b97
AUX xrdp-sesman.pamd 156 SHA256 a153eb2505131600f7e1664728c029fa0255a355dd93c758946a4fac42baedc6 SHA512 37e5b4557be51dfc25b041a553d0464854586d7a10f16740d335be16c9b677f38a08495ef05a01259c3f8d401eb44542bd939dd23d1afa8bac4d9d9e144cb1a4 WHIRLPOOL 49072d111265aadac2c6ab8792d18f1c7b4630d52e0968907ec149a539082335a66ac54b3856727f7045c030af5f81866d332428f42c9cd657816a5b866a7de3
DIST noorders.zip 2132263 SHA256 01160978961b9b8422c35e05148744a8a71ac292ad50309b27a6acb24ea3775a SHA512 8115e16c6e79b66d5b8c1d043a378c99f22639fbae82f2cc5d32206fa59be95e2f2bb5e5aca71599337ff6fad9f7d275fa333bfd5f4037eaac30f8ca47b7529a WHIRLPOOL fddd9c32e1b4568a685265b07eaae976e4794933e5f4f223930b6cbd539422f7ec486889b292c20eacf7edca54540cbfe6a3069f0ce92364b7027325a10f7cf8
EBUILD xrdp-9999.ebuild 4724 SHA256 34d13402509d92e0c32de5e5c7577f996f3a085eb72d1519d61348e1ac5307a2 SHA512 d85beb0e7a4a934c5fee0d284420a2263982bdc374f32cda0d044afbcaa337c5c3f161d35b03ccebcc5f235177bd3bc574ec48c54ce2addb20396ce6fa6c43b2 WHIRLPOOL a0cf0d19df1dad4caa5d45f8355e89790efb128acee2dfed31b92404426158c7decb9d02470c12c0f7d1c2788459f1ee4403896d1011928bc6c29689c40ae716
MISC ChangeLog 2698 SHA256 9e6708bf40edc9ca191f12a241f44051e52ffca4dd1b13491e24771225d6b76e SHA512 690522abbcf07f2065cdd89407acf36e3a8c57dfd2ac2e4fefd40b927ee3c75b459a0411134f304f45628fca33121c609920ee78be8f313e3423b139c70426de WHIRLPOOL e7d19813a2408c3070159ed73f397d6c7878f797e841c747891c98466cd98355d9b06fe1933bb6aedc0a59f470862a6c8b4fa00ada34422f2cb738e2aeb203d7
MISC ChangeLog-2015 1291 SHA256 f50e6ca2b9f8181b0234d940ea50474f0d2a411ab6826912447a14e9a0b25198 SHA512 aff58d8639813c8800526c33f91ec345da287dd25b498780fd226916778d90cac5aa9552d8b8bde45a231223e8826f62ad131d963b2b6642d8a1fa5ce693cffa WHIRLPOOL 46926bf76e7f4439f3ca252f6a7896d231e86f6c9fb5c1104c8611cf1e5a775a666ee2fc23b6a88d196788c39af7c4cc89e270c4523e1b9d618b31c30a7caae7
MISC metadata.xml 359 SHA256 0ce602d4dff1dc3cf7d528f42ee7d1445d6638bb8e4cf6a8004bcc278ebe5075 SHA512 00f4847655b20a7341226ccf13484c710e357a3fb40ac5a7b8d0d1fa3a1ebf69c634a1b5204d6adac0efc9147d6192df4d4cd93a7cf770dd6a0a7189b489b5b2 WHIRLPOOL 81e4bebc446c8d0d8e03e4003069975c204a0d974f6d2658e0c7319e63ff75fd2e764f33a704fdf70bbeaaefee2c72bf2d6f4a8154cf92e5ac8a2e6c638e704f

View File

@@ -0,0 +1,8 @@
#!/bin/sh
# try hard to respect Gentoo's wm choice
. /etc/profile
[ -f /etc/rc.conf ] && . /etc/rc.conf
export XSESSION
. /etc/X11/xinit/xinitrc

View File

@@ -0,0 +1,28 @@
#!/sbin/openrc-run
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
depend() {
use net logger
}
start() {
ebegin "Starting X remote desktop daemon"
start-stop-daemon --start --pidfile /var/run/xrdp.pid --exec /usr/sbin/xrdp > /dev/null
eend $? || return $?
ebegin "Starting remote desktop session manager"
start-stop-daemon --start --pidfile /var/run/xrdp-sesman.pid --exec /usr/sbin/xrdp-sesman > /dev/null
eend $?
}
stop() {
ebegin "Stopping X remote desktop daemon"
start-stop-daemon --stop --pidfile /var/run/xrdp.pid
eend $?
ebegin "Stopping remote desktop session manager"
start-stop-daemon --stop --pidfile /var/run/xrdp-sesman.pid
eend $?
}

View File

@@ -0,0 +1,4 @@
auth include system-remote-login
account include system-remote-login
password include system-remote-login
session include system-remote-login

View File

@@ -0,0 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>mgorny@gentoo.org</email>
<name>Michał Górny</name>
</maintainer>
<use>
<flag name="fuse">Enable clipboard file / device redirection via <pkg>sys-fs/fuse</pkg></flag>
</use>
</pkgmetadata>

View File

@@ -0,0 +1,157 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit autotools eutils pam systemd
DESCRIPTION="An open source Remote Desktop Protocol server"
HOMEPAGE="http://www.xrdp.org/"
# mirrored from https://github.com/neutrinolabs/xrdp/releases
#SRC_URI="https://dev.gentoo.org/~mgorny/dist/${P}.tar.xz"
SRC_URI="https://github.com/neutrinolabs/xrdp/archive/noorders.zip"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="debug fuse kerberos jpeg pam pulseaudio"
RDEPEND="dev-libs/openssl:0=
x11-libs/libX11:0=
x11-libs/libXfixes:0=
x11-libs/libXrandr:0=
fuse? ( sys-fs/fuse:0= )
jpeg? ( virtual/jpeg:0= )
kerberos? ( virtual/krb5:0= )
pam? ( virtual/pam:0= )
pulseaudio? ( media-sound/pulseaudio:0= )
media-libs/libpainter:0="
DEPEND="${RDEPEND}
app-arch/xz-utils"
RDEPEND="${RDEPEND}
|| (
net-misc/tigervnc:0[server,xorgmodule]
net-misc/x11rdp:0
)"
S="${WORKDIR}/${PN}-noorders"
# does not work with gentoo version of freerdp
# neutrinordp? ( net-misc/freerdp:0= )
# incompatible with current ffmpeg/libav (surprising, isn't it?)
# xrdpvr? ( virtual/ffmpeg:0= )
src_prepare() {
epatch_user
# don't let USE=debug adjust CFLAGS
sed -i -e 's:-g -O0::' configure.ac || die
# disallow root login by default
sed -i -e '/^AllowRootLogin/s/1/0/' sesman/sesman.ini || die
# Fedora files, not included here
sed -i -e '/EnvironmentFile=/d' instfiles/*.service || die
# reorder so that X11rdp comes last again since it's not supported
sed -i -e '/^\[xrdp1\]$/,/^$/{wxrdp.ini.tmp
;d}' xrdp/xrdp.ini || die
# move newline to the beginning
sed -i -e 'x' xrdp.ini.tmp || die
cat xrdp.ini.tmp >> xrdp/xrdp.ini || die
rm -f xrdp.ini.tmp || die
eautoreconf
}
src_configure() {
use kerberos && use pam \
&& ewarn "Both kerberos & pam auth enabled, kerberos will take precedence."
local myconf=(
# warning: configure.ac is completed flawed
--localstatedir="${EPREFIX}"/var
# -- authentication backends --
# kerberos is inside !SESMAN_NOPAM conditional for no reason
$(use pam || use kerberos || echo --enable-nopam)
$(usex kerberos --enable-kerberos '')
# pam_userpass is not in Gentoo at the moment
#--disable-pamuserpass
# -- jpeg support --
$(usex jpeg --enable-jpeg '')
# the package supports explicit linking against libjpeg-turbo
# (no need for -ljpeg compat)
$(use jpeg && has_version 'media-libs/libjpeg-turbo:0' && echo --enable-tjpeg)
# -- sound support --
$(usex pulseaudio '--enable-simplesound --enable-loadpulsemodules' '')
# -- others --
$(usex debug --enable-xrdpdebug '')
$(usex fuse --enable-fuse '')
# $(usex neutrinordp --enable-neutrinordp '')
# $(usex xrdpvr --enable-xrdpvr '')
"$(systemd_with_unitdir)"
)
econf "${myconf[@]}"
}
src_install() {
default
prune_libtool_files --all
# use our pam.d file since upstream's incompatible with Gentoo
use pam && newpamd "${FILESDIR}"/xrdp-sesman.pamd xrdp-sesman
# and our startwm.sh
exeinto /etc/xrdp
doexe "${FILESDIR}"/startwm.sh
# Fedora stuff -- JTC - commented out ... doesn't seem to exist now
#rm -r "${ED}"/etc/default || die
# own /etc/xrdp/rsakeys.ini
: > rsakeys.ini
insinto /etc/xrdp
doins rsakeys.ini
# contributed by Jan Psota <jasiupsota@gmail.com>
newinitd "${FILESDIR}/${PN}-initd" ${PN}
}
#pkg_preinst() {
# # either copy existing keys over to avoid CONFIG_PROTECT whining
# # or generate new keys (but don't include them in binpkg!)
# if [[ -f ${EROOT}/etc/xrdp/rsakeys.ini ]]; then
# cp {"${EROOT}","${ED}"}/etc/xrdp/rsakeys.ini || die
# else
# einfo "Running xrdp-keygen to generate new rsakeys.ini ..."
# "${S}"/keygen/xrdp-keygen xrdp "${ED}"/etc/xrdp/rsakeys.ini \
# || die "xrdp-keygen failed to generate RSA keys"
# fi
#}
pkg_postinst() {
if [[ ! -f "${EROOT}"/etc/xrdp/rsakeys.ini ]]; then
einfo "Running xrdp-keygen to generate new rsakeys.ini ..."
"${EROOT}"/usr/bin/xrdp-keygen xrdp "${EROOT}"/etc/xrdp/rsakeys.ini \
|| ewarn "xrdp-keygen failed to generate RSA keys"
fi
# check for use of bundled rsakeys.ini (installed by default upstream)
if [[ $(cksum "${EROOT}"/etc/xrdp/rsakeys.ini) == '2935297193 1019 '* ]]
then
ewarn "You seem to be using upstream bundled rsakeys.ini. This means that"
ewarn "your communications are encrypted using a well-known key. Please"
ewarn "consider regenerating rsakeys.ini using the following command:"
ewarn
ewarn " ${EROOT}/usr/bin/xrdp-keygen xrdp ${EROOT}/etc/xrdp/rsakeys.ini"
ewarn
fi
elog "Various session types require different backend implementations:"
elog "- sesman-Xvnc requires net-misc/tigervnc[server,xorgmodule]"
elog "- sesman-X11rdp requires net-misc/x11rdp"
}

View File

@@ -0,0 +1,19 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="Zoom meeting client"
HOMEPAGE="https://zoom.us"
SRC_URI="https://zoom.us/client/${PV}/zoom_x86_64.tar.xz"
LICENSE="all-rights-reserved"
SLOT="0"
KEYWORDS=""
IUSE=""
RDEPEND="dev-qt/qtscript:5.8 \
dev-qt/qtwebengine:5.8 \
dev-qt/qtnetwork:5.8"